Loading...
Searching...
No Matches
caf::detail::tl_is_distinct< List > Struct Template Reference

Tests whether a list is distinct. More...

`#include <type_list.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class List>
struct caf::detail::tl_is_distinct< List >

Tests whether a list is distinct.

## Member Data Documentation

## value

template<class List>

bool caf::detail::tl_is_distinct< List >::value

static constexpr

Initial value:
=
tl_size<List>::value == tl_size<tl_distinct_t<List>>::value
caf::detail::tl_size
Gets the number of template parameters of List.
Definition type_list.hpp:101

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp